tools: move cluster-specific stuff to cluster/tools

Change-Id: I1813bb221d1bff0d6067eceb84d23510face60ff
diff --git a/tools/install.sh b/tools/install.sh
index b93f10d..6151a38 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env bash
 
+set -e -o pipefail
+
 if [ -z "$hscloud_root" ]; then
     echo 2>&1 "Please first source env.sh"
     exit 1
@@ -7,13 +9,6 @@
 
 cd "${hscloud_root}"
 
-bazel build \
-        //tools:kubectl //tools:kubecfg //tools:secretstore \
-        //tools:pass //tools:calicoctl.bin //tools:cfssl
+bazel build //tools/...
 
-if [ ! -e /nix ] ; then
-    echo "WARNING: No Nix installation detected. nix-dependent tools (nixops) will not be built or available." 
-else
-    bazel build \
-            //tools:nixops
-fi
+cluster/tools/install.sh